Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRImageMapRenderer

All Superinterfaces:
  JRRenderable, java.io.Serializable

All Known Implementing Classes:
  BatikRenderer, DrawChartRenderer, JRAbstractChartImageMapRenderer, JRCategoryChartImageMapRenderer, JRHighLowChartImageMapRenderer, JRPieChartImageMapRenderer, JRSimpleImageMapRenderer, JRTimePeriodChartImageMapRenderer, JRTimeSeriesChartImageMapRenderer, JRXYChartImageMapRenderer

    public interface JRImageMapRenderer

extends JRRenderable

Image renderer able to produce image maps.

Version:
  $Id: JRImageMapRenderer.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

Method Summary
`java.util.List` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`
`boolean` | `hasImageAreaHyperlinks()` Indicates whether the renderer actually includes any image map areas.
`java.util.List` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Returns the list of `image map areas`.

Methods inherited from interface net.sf.jasperreports.engine.JRRenderable
`getDimension, getId, getImageData, getImageType, getType, render`

Method Detail

### getImageAreaHyperlinks

    java.util.List getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                          throws JRException

  Deprecated. Replaced by `renderWithHyperlinks(Graphics2D, Rectangle2D)`

  Returns the list of `image map areas`.

  Parameters:
    `renderingArea` - the area on which the image would be rendered
  Returns:
    a list of `JRPrintImageAreaHyperlink` instances.
  Throws:
    `JRException`

### hasImageAreaHyperlinks

    boolean hasImageAreaHyperlinks()

  Indicates whether the renderer actually includes any image map areas.

  Returns:
    whether the renderer actually includes any image map areas

### renderWithHyperlinks

    java.util.List renderWithHyperlinks(java.awt.Graphics2D grx,
                                        java.awt.geom.Rectangle2D rectangle)
                                        throws JRException

  Returns the list of `image map areas`.

  Parameters:
    `rectangle` - the area on which the image would be rendered
  Returns:
    a list of `JRPrintImageAreaHyperlink` instances.
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com